### Hierarchy

- DataRequestRepositoryImpl

### Implements

- DataRequestRepository

## Index

### Constructors

- constructor

### Methods

- getRequests
- grantAccessForClient
- grantAccessForOffer
- requestPermissions

## Constructors

### constructor

- new DataRequestRepositoryImpl(transport: HttpTransport): DataRequestRepositoryImpl

- - Defined in repository/requests/DataRequestRepositoryImpl.ts:13

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns DataRequestRepositoryImpl

## Methods

### getRequests

- getRequests(fromPk: string | null, toPk: string | null): Promise<Array<DataRequest>>

- Implementation of DataRequestRepository.getRequests

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:42

  #### Parameters

  - ##### fromPk: string | null

  - ##### toPk: string | null

  #### Returns Promise<Array<DataRequest>>

### grantAccessForClient

- grantAccessForClient(fromPk: string, toPk: string, encryptedResponse: string): Promise<number>

- Implementation of DataRequestRepository.grantAccessForClient

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:29

  #### Parameters

  - ##### fromPk: string

  - ##### toPk: string

  - ##### encryptedResponse: string

  #### Returns Promise<number>

### grantAccessForOffer

- grantAccessForOffer(offerSearchId: number, clientPk: string, encryptedClientResponse: string, priceId: number): Promise<void>

- Implementation of DataRequestRepository.grantAccessForOffer

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:56

  #### Parameters

  - ##### offerSearchId: number

  - ##### clientPk: string

  - ##### encryptedClientResponse: string

  - ##### priceId: number

  #### Returns Promise<void>

### requestPermissions

- requestPermissions(toPk: string, encryptedRequest: string): Promise<number>

- Implementation of DataRequestRepository.requestPermissions

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:19

  #### Parameters

  - ##### toPk: string

  - ##### encryptedRequest: string

  #### Returns Promise<number>

Generated using TypeDoc